From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/gettext_i18n_rails/
Date: Tue, 15 Dec 2015 06:24:13 +0000 (UTC) [thread overview]
Message-ID: <1450160641.706af73590f41cfb39cdd9a0d7024b12f954f62c.graaff@gentoo> (raw)
commit: 706af73590f41cfb39cdd9a0d7024b12f954f62c
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 15 06:24:01 2015 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 06:24:01 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=706af735
dev-ruby/gettext_i18n_rails: add 1.3.2
Package-Manager: portage-2.2.24
dev-ruby/gettext_i18n_rails/Manifest | 1 +
.../gettext_i18n_rails-1.3.2.ebuild | 37 ++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-ruby/gettext_i18n_rails/Manifest b/dev-ruby/gettext_i18n_rails/Manifest
index 8732e21..145ea75 100644
--- a/dev-ruby/gettext_i18n_rails/Manifest
+++ b/dev-ruby/gettext_i18n_rails/Manifest
@@ -1,2 +1,3 @@
DIST gettext_i18n_rails-1.3.0.tar.gz 20218 SHA256 b52a90e45d6bcdfac828cebbf52892ccadb320d148bb14a8267f8545b4347877 SHA512 90136a441aad8c5b26fe39454b675b444ff5cdfa87c4d6ec1738583ea5b6db793b1d05db94e9084905249a75f19239acf5812e6e8350d3ee2537aed76387c2d2 WHIRLPOOL b8503ad978faeeaff0a966be62392bbc0ef4361f28575e50afb799431fb311368b656a4c702749d4dd12f2e342f4c79abe5fe1cd56f64aa41441c073e53449e6
DIST gettext_i18n_rails-1.3.1.tar.gz 20261 SHA256 d50193878e7b8eee61ba48fe33c10f7eed28afdcb7e500dd135743cbc9ffd72f SHA512 761c941aa4d4a746067b84c703b7ca661af3229a2886113a0c5beb1872efd5e74dae7bcf0c6bb476078e636835d19a66e93c8c9c7850024c4ca025e153f1b708 WHIRLPOOL 0b865211641224a5dfc6e76e88297fc2cc8576789a099ca65bc3deefb95318313ec8bae24070fde65c0cd219402cc928265b7ef626435836d3fa8e908ad4ece4
+DIST gettext_i18n_rails-1.3.2.tar.gz 20260 SHA256 7c11f3a1d6d9ae394fd77070013a4fa19330bf4b203a7972d651d2ca2b9056de SHA512 04412b5e6b7389b3882d33385fbec22de7c61cd93e4cc7bc09c2bb4afb5d61d08e4c513e17aac18cf250f8efe12c6362633f9722f0e335bb9913484ce7abca15 WHIRLPOOL c96c23242a5ffc03d7e929bf1e05d12a41a8f01957efaebfbad122df842e212b2f6f306125b2047a2366328181fe40959c9fabf3b672bfc8074f8b9f1d6fb785
diff --git a/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.3.2.ebuild b/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.3.2.ebuild
new file mode 100644
index 0000000..459fe13
--- /dev/null
+++ b/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.3.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="FastGettext / Rails integration"
+HOMEPAGE="https://github.com/grosser/gettext_i18n_rails"
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/rails:4.0 dev-ruby/activerecord:4.0[sqlite] dev-ruby/temple )"
+ruby_add_rdepend ">=dev-ruby/fast_gettext-0.9.0"
+
+all_ruby_prepare() {
+ rm Gemfile Gemfile.lock || die
+
+ # Remove specs for slim and hamlet, template engines we don't package.
+ rm spec/gettext_i18n_rails/slim_parser_spec.rb spec/gettext_i18n_rails/haml_parser_spec.rb || die
+
+ # Test against Rails 4.0 (newer versions don't work and we don't use
+ # appraisals for now).
+ sed -e '1igem "rails", "~>4.2.0"' -i spec/spec_helper.rb || die
+}
next reply other threads:[~2015-12-15 6:24 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-15 6:24 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-08 8:59 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/gettext_i18n_rails/ Hans de Graaff
2024-07-31 8:29 Hans de Graaff
2024-07-30 5:26 Hans de Graaff
2023-09-16 5:30 Hans de Graaff
2023-09-10 5:57 Hans de Graaff
2023-08-18 19:40 Hans de Graaff
2023-08-18 19:40 Hans de Graaff
2023-06-22 5:00 Hans de Graaff
2023-06-06 13:40 Hans de Graaff
2023-04-28 8:49 Hans de Graaff
2023-04-05 3:17 Sam James
2023-03-26 10:42 Hans de Graaff
2023-01-08 8:00 Hans de Graaff
2022-12-07 6:45 Hans de Graaff
2022-10-13 5:00 Hans de Graaff
2022-07-26 6:50 Hans de Graaff
2021-06-11 7:41 Hans de Graaff
2020-08-21 6:51 Hans de Graaff
2019-12-11 6:49 Hans de Graaff
2019-05-06 17:58 Hans de Graaff
2019-03-12 5:52 Hans de Graaff
2018-07-13 6:00 Hans de Graaff
2018-01-17 6:05 Hans de Graaff
2017-12-09 7:55 Hans de Graaff
2017-08-27 6:18 Hans de Graaff
2016-08-12 4:50 Hans de Graaff
2016-08-12 4:50 Hans de Graaff
2016-05-31 4:49 Hans de Graaff
2016-05-17 5:01 Hans de Graaff
2016-05-16 13:42 Hans de Graaff
2016-04-09 8:38 Hans de Graaff
2016-03-03 6:17 Hans de Graaff
2016-03-03 6:17 Hans de Graaff
2016-01-22 7:55 Hans de Graaff
2015-12-31 8:29 Hans de Graaff
2015-12-31 8:29 Hans de Graaff
2015-12-15 6:24 Hans de Graaff
2015-11-03 6:26 Hans de Graaff
2015-10-11 5:39 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1450160641.706af73590f41cfb39cdd9a0d7024b12f954f62c.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox